# %Z%%M% %I% %E%         (c) Sun Microsystems, Inc.
#
# Compose table for the Russian language [gelf]
#


#
# Native English mode
#

STATE   "[ English ]"
<Multi_key>    : SWITCH_STATE_TO  "[ Русский ]"
END_STATE


#
# Russian Mode
#


STATE   "[ Русский ]"
<Multi_key>    :  SWITCH_STATE_TO "[ English ]"
#
#

# Second row
# Comment: numerosign is a Cyrillic keysym

<at>            : "\042"	quotedbl
<numbersign>    : "\360"	numerosign
<dollar>        : "\045"	percent
<percent>       : "\072"	colon
<asciicircum>   : "\054"	comma
<ampersand>     : "\056"	period
<asterisk>      : "\073"	semicolon


# Third row


<q>             : "\312"	Cyrillic_shorti
<w>             : "\303"	Cyrillic_tse
<e>             : "\325"	Cyrillic_u
<r>             : "\313"	Cyrillic_ka
<t>             : "\305"	Cyrillic_ie
<y>             : "\316"	Cyrillic_en
<u>             : "\307"	Cyrillic_ghe
<i>             : "\333"	Cyrillic_sha
<o>             : "\335"	Cyrillic_shcha
<p>             : "\332"	Cyrillic_ze
<bracketleft>   : "\310"	Cyrillic_ha
<bracketright>  : "\337"	Cyrillic_hardsign



<Q>             : "\352"	Cyrillic_SHORTI
<W>             : "\343"	Cyrillic_TSE
<E>             : "\365"	Cyrillic_U
<R>             : "\353"	Cyrillic_KA
<T>             : "\345"	Cyrillic_IE
<Y>             : "\356"	Cyrillic_EN
<U>             : "\347"	Cyrillic_GHE
<I>             : "\373"	Cyrillic_SHA
<O>             : "\375"	Cyrillic_SHCHA
<P>             : "\372"	Cyrillic_ZE
Lock<bracketleft> 	: "\350"	Cyrillic_HA
Lock<bracketright>	: "\377"	Cyrillic_HARDSIGN
<braceleft> 	: "\350"	Cyrillic_HA
<braceright>	: "\377"	Cyrillic_HARDSIGN



# Fourth row

# <a>             : "\357"	Cyrillic_ef
<a>             : "\306"	Cyrillic_ef
<s>             : "\331"	Cyrillic_yeru
<d>             : "\327"	Cyrillic_ve
<f>             : "\301"	Cyrillic_a
<g>             : "\320"	Cyrillic_pe
<h>             : "\322"	Cyrillic_er
<j>             : "\317"	Cyrillic_o
<k>             : "\314"	Cyrillic_el
<l>             : "\304"	Cyrillic_de
<semicolon>     : "\326"	Cyrillic_zhe
<quoteright>    : "\334"	Cyrillic_e

<A>             : "\346"	Cyrillic_EF
<S>             : "\371"	Cyrillic_YERU
<D>             : "\367"	Cyrillic_VE
<F>             : "\341"	Cyrillic_A
<G>             : "\360"	Cyrillic_PE
<H>             : "\362"	Cyrillic_ER
<J>             : "\357"	Cyrillic_O
<K>             : "\354"	Cyrillic_EL
<L>             : "\344"	Cyrillic_DE
<colon>         : "\366"	Cyrillic_ZHE
<quotedbl>      : "\374"	Cyrillic_E


# Fifth row

<z>             : "\321"	Cyrillic_ya
<x>             : "\336"	Cyrillic_che
<c>             : "\323"	Cyrillic_es
<v>             : "\315"	Cyrillic_em
<b>             : "\311"	Cyrillic_i
<n>             : "\324"	Cyrillic_te
<m>             : "\330"	Cyrillic_softsign
<comma>         : "\302"	Cyrillic_be
<period>        : "\300"	Cyrillic_yu
<slash>         : "\243"	Cyrillic_io


<Z>             : "\361"	Cyrillic_YA
<X>             : "\376"	Cyrillic_CHE
<C>             : "\363"	Cyrillic_ES
<V>             : "\355"	Cyrillic_EM
<B>             : "\351"	Cyrillic_I
<N>             : "\364"	Cyrillic_TE
<M>             : "\370"	Cyrillic_SOFTSIGN
<less>          : "\342"	Cyrillic_BE
<greater>       : "\340"	Cyrillic_YU
<question>      : "\263"	Cyrillic_IO

END_STATE

